Subject: Re: [PATCH net V1 1/3] net/mlx4_en: Don't use irq_affinity_notifier to track changes in IRQ affinity map

From: Amir Vadai <[email-masked]>
Date: Mon, 30 Jun 2014 13:43:35 +0300

On 6/30/2014 12:11 PM, Eric Dumazet wrote:
> On Mon, 2014-06-30 at 11:34 +0300, Amir Vadai wrote:
> 
>> TX completions are very quick compared to the skb preparation and
>> sending. Which is not the case for RX completions. Because of that, it
>> is very easy to reproduce the problem in RX flows, but we never had any
>> report of that problem in the TX flow.
> 
> This is because reporters probably use same number of RX and TX queues.
> 
> With TCP Small queues, TX completions are not always quick, if thousands
> of flows are active.
> 
> Some people hit the locked cpu when say one cpu has to drain 8 TX
> queues, because 7 other cpus can continuously feed more packets 
> 
>> I prefer not to spend time on the TX, since we plan to send a patch soon
>> to use the same NAPI for both TX and RX.
> 
> Thanks, this sounds great.
> 
> 

Ok, so unless anyone objects, the plan is to continue with this patch
(RX only). If the unified NAPI patch will be delayed I will send the TX
fix too.

Amir